Bug 120344 - (VM) mm_struct mem leak in copy_process() error path
(VM) mm_struct mem leak in copy_process() error path
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: kernel (Show other bugs)
3.0
athlon Linux
medium Severity medium
: ---
: ---
Assigned To: Ernie Petrides
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-04-07 17:35 EDT by Pete Zaitcev
Modified: 2007-11-30 17:07 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-02 00:31:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Pete Zaitcev 2004-04-07 17:35:23 EDT
[pzaitcev@r2 pzaitcev]$ grep mm_struct /proc/slabinfo ; date
mm_struct          57385  57390    256 3826 3826    1
Wed Apr  7 14:36:36 PDT 2004
[pzaitcev@r2 pzaitcev]$ uptime
 14:36:42  up 6 days, 19:48,  3 users,  load average: 0.71, 0.82, 0.76
[pzaitcev@r2 pzaitcev]$ 

It leaks one mm_struct about every 10 seconds at normal load.
The system is a general purpose ISP server, apache, sendmail, etc.

They run a Gingin kernel I built off a CVS branch. It is a normal
gingin with only a fix for task_struct leaking when a fork fails.
I womder if this is related.

[pzaitcev@r2 pzaitcev]$ uname -a
Linux r2.artoo.net 2.4.20-30.9.forkfix.1 #1 Fri Feb 20 16:55:18 EST
2004 i686 athlon i386 GNU/Linux
[pzaitcev@r2 pzaitcev]$ 
[pzaitcev@r2 pzaitcev]$ /sbin/lsmod
Module                  Size  Used by    Not tainted
iptable_filter          2444   0 (autoclean) (unused)
ip_tables              14648   1 [iptable_filter]
autofs                 13108   0 (autoclean) (unused)
w83781d                22480   0
i2c-proc                9104   0 [w83781d]
i2c-isa                 1896   0 (unused)
i2c-core               19140   0 [w83781d i2c-proc i2c-isa]
8139too                18120   1
mii                     3992   0 [8139too]
ipv6                  174804  -1
ohci1394               19912   0 (unused)
ieee1394               48780   0 [ohci1394]
nls_iso8859-1           3548  16 (autoclean)
loop                   12056  48 (autoclean)
keybdev                 2912   0 (unused)
mousedev                5428   0 (unused)
hid                    21924   0 (unused)
input                   5824   0 [keybdev mousedev hid]
ehci-hcd               19816   0 (unused)
usb-ohci               21320   0 (unused)
usbcore                78304   1 [hid ehci-hcd usb-ohci]
ext3                   69984   5
jbd                    51508   5 [ext3]
[pzaitcev@r2 pzaitcev]$
Comment 1 Dave Jones 2004-05-07 17:43:38 EDT
gingin eol.
Comment 2 Ernie Petrides 2004-06-18 07:01:49 EDT
A fix for this problem has just been committed to the RHEL3 U3
patch pool this evening (in kernel version 2.4.21-15.13.EL).
Comment 3 John Flanagan 2004-09-02 00:31:16 EDT
An errata has been issued which should help the problem 
described in this bug report. This report is therefore being 
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files, 
please follow the link below. You may reopen this bug report 
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2004-433.html

Note You need to log in before you can comment on or make changes to this bug.